# This defines the name of the workflow as it will appear in the "Actions" tab of the Gitea repository.
name: A gitea test

on:
  pull_request:
    paths:
      - '**.js'

jobs:
  random_test:
    name: Random test

    runs-on: ubuntu-latest

    env:
      SSH_USER: ${{ secrets.SSH_USER }}
      SSH_PASSWORD: ${{ secrets.SSH_PASSWORD }}

    steps:
      - name: Check out repo's default branch
        uses: actions/checkout@v3
      - name: Setup Node
        uses: actions/setup-node@v3
        with:
          node-version: 16.13.x
          cache: npm
      - name: Run the "npm ci" command
        run: npm ci
      - name: Run the "npm run build" command
        run: npm run bullshit:build
      - name: Run script
        run: |
          echo "did the build"

